import request from '@/config/axios'

export interface ArcSettingVO {
  id: string
  name: string,
  type: string,
  point: string,
  calculate: string,
  isEnable: string
}

export interface ArcSettingPageReqVO extends PageParam {
  name?: string,
  type?: string
}

// 查询ArcSetting列表
export const getArcSettingPage = (params: ArcSettingPageReqVO) => {
  return request.get({ url: '/data/da/arc/page', params })
}

// 查询ArcSetting详情
export const getArcSetting = (id: number) => {
  return request.get({ url: `/data/da/arc/info/${id}`})
}

// 新增ArcSetting
export const createArcSetting = (data: ArcSettingVO) => {
  return request.post({ url: '/data/da/arc/create', data })
}

// 修改ArcSetting
export const updateArcSetting = (data: ArcSettingVO) => {
  return request.put({ url: '/data/da/arc/update', data })
}

// 删除ArcSetting
export const deleteArcSetting = (id: number) => {
  return request.delete({ url: '/data/da/arc/delete?id=' + id })
}
